package com.fs.watch.service;

import com.fs.watch.domain.WatchRriData;

import java.util.List;
import java.util.Map;

/**
* @author Administrator
* @description 针对表【watch_rri_data(设备心跳间隙数据，每分钟一个数据包)】的数据库操作Service
* @createDate 2024-10-15 11:06:51
*/
public interface WatchRriDataService{

    Boolean insert(WatchRriData watchRriData);

    Map<String, Object> queryByDateAndDeviceId(String date, String deviceId);

    Map<String, Object> queryLastByDateAndDeviceId(String deviceId);

    List<WatchRriData> getByDateAndDeviceId(String date, String deviceId);
}
